#!/bin/bash
# $1 is the app source location, $2 is the svg icon, $3 is the app version code, $4 is the build number
mkdir -p out
rm -rf debian/usr/share/notepost
mkdir -p debian/usr/share/notepost
mkdir -p debian/usr/share/doc/notepost
rsync -rv "$1" debian/usr/share/notepost
cp debian/DEBIAN/copyright debian/usr/share/doc/notepost/
sed -i "s/Version:\s[0-9.\-]\+/Version: $3+b$4/" debian/DEBIAN/control
cp "$2" debian/usr/share/notepost/logo.svg
dpkg-deb -b debian "out/notepost_$3+b${4}_all.deb"
